summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2020-06-10 10:09:05 +0200
committerMiroslav Šulc <fordfrog@gentoo.org>2020-06-10 10:09:58 +0200
commitf4186b981a86e7b79fb5abd35946400bfdc5f509 (patch)
treee08308baf7908b1b143a9270f98d2ed0175d7538 /media-sound
parentx11-terms/guake: Old (diff)
downloadgentoo-f4186b981a86e7b79fb5abd35946400bfdc5f509.tar.gz
gentoo-f4186b981a86e7b79fb5abd35946400bfdc5f509.tar.bz2
gentoo-f4186b981a86e7b79fb5abd35946400bfdc5f509.zip
media-sound/patchage: bump to 1.0.2
Package-Manager: Portage-2.3.100, Repoman-2.3.22 Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/patchage/Manifest1
-rw-r--r--media-sound/patchage/patchage-1.0.2.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/media-sound/patchage/Manifest b/media-sound/patchage/Manifest
index d1018c5715a..3456d91a622 100644
--- a/media-sound/patchage/Manifest
+++ b/media-sound/patchage/Manifest
@@ -1,2 +1,3 @@
DIST patchage-0.5.0.tar.bz2 411848 BLAKE2B 50138309d31c4806072c95af7df46e1b0ca2fe570c606886d9d6eb666cb3a499c12689b3ba1db26c0d59dd0ee732e350a6dffcdb7bee98f78906fa957e1e2609 SHA512 2b6c971f5fb192309734d6f42f17db83979805e6dcafbc95b343c3749afd85ea65c9b7d101b0b4bdf5102b6d60394cabcaa0d511aeb3fe1bf2db924b7e8b46cf
DIST patchage-1.0.0.tar.bz2 414300 BLAKE2B 4f2fd0a0911cb261508883b73305c2736143d9a165b854b8b4042a3c0f6454e1f79bc3b6cd5d28844e1cdeeaf7dd20effc164aa1151390d4c45af0a339c2ef5a SHA512 0a2be0183257a34a68ec84e6fb17d29a3d8ba7dd54a05fcdd13784ac8f5621eb7a376f17d42168958f5e1a8dab8858a9c5c8c867aa1838736cc2b7775f75f510
+DIST patchage-1.0.2.tar.bz2 586298 BLAKE2B db52e267dc6ecc246ca5a30d88976c426b607c47c10cf041fe3bb0ab2d6b22d7b3c55a704be0d2fb6b87b3d23d26f15dd49b3d151d3d1dc084f290f4e7ccb01d SHA512 8d59bf4a71c2b41a1c9d8f72da30046568573c6cedaca69815b279fd1c24d44267da6846e219449d47f43157663abc331ef89f241d94dd16e666e06da9f81e12
diff --git a/media-sound/patchage/patchage-1.0.2.ebuild b/media-sound/patchage/patchage-1.0.2.ebuild
new file mode 100644
index 00000000000..d936e429343
--- /dev/null
+++ b/media-sound/patchage/patchage-1.0.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{7,8} )
+PYTHON_REQ_USE='threads(+)'
+inherit waf-utils python-any-r1 xdg
+
+DESCRIPTION="Modular patch bay for JACK-based audio and MIDI systems"
+HOMEPAGE="http://drobilla.net/software/patchage"
+SRC_URI="http://download.drobilla.net/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="alsa debug jack-dbus session"
+
+RDEPEND=">=dev-cpp/glibmm-2.14:2
+ >=dev-cpp/gtkmm-2.11.12:2.4
+ >=dev-cpp/libglademm-2.6.0:2.4
+ dev-cpp/libgnomecanvasmm:2.6
+ >=media-libs/ganv-1.4.0
+ virtual/jack
+ alsa? ( media-libs/alsa-lib )
+ jack-dbus? ( dev-libs/dbus-glib
+ sys-apps/dbus )"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ dev-libs/boost
+ virtual/pkgconfig"
+
+DOCS=( AUTHORS NEWS README.md )
+
+src_configure() {
+ waf-utils_src_configure \
+ $(use debug && echo "--debug") \
+ $(use alsa || echo "--no-alsa") \
+ $(use jack-dbus && echo "--jack-dbus") \
+ $(use session && echo "--jack-session-manage")
+}